@echo off
set PAUSE_ERRORS=1
call bat\SetupSDK.bat
call bat\SetupApplication.bat

:menu
echo.
echo Package for target
echo.
echo Android:
echo.
echo  [1] normal       (apk)
echo  [2] debug        (apk-debug)
echo.
echo iOS:
echo.
echo  [3] fast test    (ipa-test-interpreter)
echo  [4] fast debug   (ipa-debug-interpreter)
echo  [5] slow test    (ipa-test)
echo  [6] slow debug   (ipa-debug)
echo  [7] "ad-hoc"     (ipa-ad-hoc)
echo  [8] App Store    (ipa-app-store)
echo.

:choice
set /P C=[Choice]: 
echo.

set PLATFORM=android
set OPTIONS=
if %C% GTR 2 set PLATFORM=ios

if "%C%"=="1" set TARGET=
if "%C%"=="2" set TARGET=-debug
if "%C%"=="2" set OPTIONS=-connect %DEBUG_IP%

if "%C%"=="3" set TARGET=-test-interpreter
if "%C%"=="4" set TARGET=-debug-interpreter
if "%C%"=="4" set OPTIONS=-connect %DEBUG_IP%
if "%C%"=="5" set TARGET=-test
if "%C%"=="6" set TARGET=-debug
if "%C%"=="6" set OPTIONS=-connect %DEBUG_IP%
if "%C%"=="7" set TARGET=-ad-hoc
if "%C%"=="8" set TARGET=-app-store

call bat\Packager.bat
pause